package cz.moneta.test.dsl.cagw.api.v4.token;

import cz.moneta.test.dsl.cagw.CaGwAuthRequest;
import cz.moneta.test.harness.support.rest.CallType;
import cz.moneta.test.harness.support.rest.Post;

@Deprecated
@Post(value = "api/v4/token", callType = CallType.FORM)
public interface ApiV4Token extends CaGwAuthRequest<ApiV4Token, TokenRequest, TokenResponse> {

    ApiV4Token code(String code);

    ApiV4Token client_id(String clientId);

    ApiV4Token client_secret(String client_secret);

    ApiV4Token grant_type(String grant_type);
}